package realityrpg.client.net;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;

public class Connection implements Runnable {

	Socket socket = null;
	
	PrintWriter writer = null;
	BufferedReader reader = null;
	
	private boolean connected = false;
	
	public Connection(String address, int port)
	{
		try {
			socket = new Socket(address, port);
			writer = new PrintWriter(socket.getOutputStream(), true);
            reader = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            connected = true;
		} catch (UnknownHostException e) {
			//e.printStackTrace();
		} catch (IOException e) {
			//e.printStackTrace();
		}
	}
	
	public void sendString(String s)
	{
		writer.println(s);
	}
	
	public String receiveString() throws IOException
	{
		String s = "";
		
		s = reader.readLine();
		
		return s;
	}
	
	public void close()
	{
		try {
			socket.close();
			writer.close();
			reader.close();
			connected = false;
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	public boolean isConnected()
	{
		return connected;
	}

	@Override
	public void run() {
		while(socket.isConnected())
		{
			try {
				System.out.println("Waiting for message");
				String s = receiveString();
				System.out.println("Message received: " + s);
			} catch (IOException e) {
				System.out.println("Socket closed");
			}
		}
		
	}
}
