package realityrpg.common.entities;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.OverlayItem;

public class RPGItem extends OverlayItem {
	
	private static int idCount = 1;
	private int id;
	
	private float weight;
	private int strengthModificator;
	private int dexterityModificator;
	private int energyModificator;

	public RPGItem(GeoPoint point, String title, String snippet, float weight, int sMod, int dMod, int eMod) {
		super(point, title, snippet);
		this.weight = weight;
		this.strengthModificator = sMod;
		this.dexterityModificator = dMod;
		this.energyModificator = eMod;
		
		this.id = idCount++;
	}
	
	public int getId()
	{
		return this.id;
	}

	public float getWeight() {
		return weight;
	}

	public void setWeight(float weight) {
		this.weight = weight;
	}

	public int getStrengthModificator() {
		return strengthModificator;
	}

	public void setStrengthModificator(int strengthModificator) {
		this.strengthModificator = strengthModificator;
	}

	public int getDexterityModificator() {
		return dexterityModificator;
	}

	public void setDexterityModificator(int dexterityModificator) {
		this.dexterityModificator = dexterityModificator;
	}

	public int getEnergyModificator() {
		return energyModificator;
	}

	public void setEnergyModificator(int energyModificator) {
		this.energyModificator = energyModificator;
	}
	
	@Override
	public boolean equals(Object o)
	{
		if(o instanceof RPGItem)
		{
			RPGItem item = (RPGItem) o;
			return item.getId() == this.id;
		}
		return false;
	}
}